package com.apobates.forum.member.impl.event;

import com.apobates.forum.member.entity.Member;

/**
 * 会员注销事件
 *
 * @author xiaofanku
 * @since 20200516
 */
public class MemberSignOutEvent {
    private static final long serialVersionUID = -28020595031472116L;
    private final Member member;
    private final String refererURL;
    private final String ipAddr;
    
    public MemberSignOutEvent(Member member, String refererURL, String ipAddr) {
        this.member = member;
        this.refererURL = refererURL;
        this.ipAddr = ipAddr;
    }
    
    public Member getMember() {
        return member;
    }
    
    public String getRefererURL() {
        return refererURL;
    }
    
    public String getIpAddr() {
        return ipAddr;
    }
}